petedao
By:
petedao

Does Digital Ocean support Pseudo Audio Device such as Alsa

May 24, 2014 1.7k views
If it is supported, could someone please help me to set it up? I can't get ALSA installed in my digital ocean.
5 Answers
We do support ALSA. What steps have you tried to install ALSA and what OS are you using?
Hi

I am installing using apt-get install alsa-base

Linux version 3.5.0-48-generic (buildd@aatxe) (gcc version 4.7.2 (Ubuntu/Linaro 4.7.2-2ubuntu1) ) #72-Ubuntu SMP Mon Mar 10 23:18:29 UTC 2014
root@ubuntu-test:~# cat /etc/
Display all 216 possibilities? (y or n)
root@ubuntu-test:~# cat /etc/*-release
DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=12.10
DISTRIB_CODENAME=quantal
DISTRIB_DESCRIPTION="Ubuntu 12.10"
NAME="Ubuntu"
VERSION="12.10, Quantal Quetzal"
ID=ubuntu
ID_LIKE=debian
PRETTY_NAME="Ubuntu quantal (12.10)"
VERSION_ID="12.10"
root@ubuntu-test:~# lsmod
Module Size Used by
parport_pc 32689 1
ppdev 17074 0
lp 17760 0
parport 46346 3 parport_pc,ppdev,lp
snd_mixer_oss 22415 0
snd_seq_midi 13325 0
snd_rawmidi 30513 1 snd_seq_midi
snd_seq_midi_event 14900 1 snd_seq_midi
snd_seq 61555 2 snd_seq_midi,snd_seq_midi_event
snd_timer 29426 1 snd_seq
snd_seq_device 14498 3 snd_seq_midi,snd_rawmidi,snd_seq
snd 78921 5 snd_mixer_oss,snd_rawmidi,snd_seq,snd_timer,snd_seq_device
soundcore 15048 1 snd
floppy 69453 0
root@ubuntu-test:~# apt-get install alsa-base
Reading package lists... Done
Building dependency tree
Reading state information... Done
alsa-base is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 3 not upgraded.
root@ubuntu-test:~#


The psuedo audio device is still not installed.
It looks like it's installed properly. What are you trying to run that's not working?
When I bring up a firefox, I can bring it up. I use VLC to connect to the x-window UI. However, when I try to play any audio over flash, it says there is no audio device.
Also, it is not detecting any sound cards.

root@ubuntu-test:~# cat /proc/asound/cards
--- no soundcards ---
root@ubuntu-test:~#

======

I want to run youtube but because of this, youtube can't run.
Google talk does not work also.
Have another answer? Share your knowledge.